#ifndef BMP_PATHS_HPP
#define BMP_PATHS_HPP

#define BMP_BASENAME_COVER_THUMB_DIR  "covers"
#define BMP_BASENAME_LYRIC_CACHE_DIR  "lyrics"
#define BMP_XDG_BASEDIR                PACKAGE

#define BMP_BASENAME_LOGS_DIR         "logs"
#define BMP_BASENAME_ICON_DIR         "icons/themes"
#define BMP_DEFAULT_PLAYLIST_NAME     "playlist.xspf"

#define BMP_IMAGE_DIR                 DATA_DIR      G_DIR_SEPARATOR_S "images"
#define BMP_IMAGE_DIR_MAIN            BMP_IMAGE_DIR G_DIR_SEPARATOR_S "main"
#define BMP_IMAGE_DIR_PREFS           BMP_IMAGE_DIR G_DIR_SEPARATOR_S "preferences"
#define BMP_IMAGE_DIR_LASTFM          BMP_IMAGE_DIR G_DIR_SEPARATOR_S "lastfm"
#define BMP_IMAGE_DIR_STREAMS         BMP_IMAGE_DIR G_DIR_SEPARATOR_S "streams"
#define BMP_IMAGE_DIR_DOWNLOADS       BMP_IMAGE_DIR G_DIR_SEPARATOR_S "downloads"
#define BMP_IMAGE_DIR_CDDA            BMP_IMAGE_DIR G_DIR_SEPARATOR_S "cdda"
#define BMP_IMAGE_DIR_RATING          BMP_IMAGE_DIR G_DIR_SEPARATOR_S "rating"
#define BMP_IMAGE_DIR_HAL             BMP_IMAGE_DIR G_DIR_SEPARATOR_S "hal"

#define BMP_GLADE_DIR                 DATA_DIR     G_DIR_SEPARATOR_S "glade"
#define BMP_UI_DIR                    DATA_DIR     G_DIR_SEPARATOR_S "ui"
#define BMP_ICON_DIR                  DATA_DIR     G_DIR_SEPARATOR_S "icons"
#define BMP_THEME_ICON_DIR            BMP_ICON_DIR G_DIR_SEPARATOR_S "themes"
#define BMP_TRAY_ICON_DIR             BMP_ICON_DIR G_DIR_SEPARATOR_S "tray-icons"

#define BMP_VFS_PLUGIN_DIR            PLUGIN_DIR         G_DIR_SEPARATOR_S "vfs"
#define BMP_CONTAINER_PLUGIN_DIR      BMP_VFS_PLUGIN_DIR G_DIR_SEPARATOR_S "container"
#define BMP_TRANSPORT_PLUGIN_DIR      BMP_VFS_PLUGIN_DIR G_DIR_SEPARATOR_S "transport"

#define BMP_PATH_USER_DIR             bmp_paths[0]
#define BMP_PATH_DATA_DIR             bmp_paths[1]
#define BMP_PATH_LOGS_DIR             bmp_paths[2]
#define BMP_PATH_COVER_THUMB_DIR      bmp_paths[3]
#define BMP_PATH_LYRIC_CACHE_DIR      bmp_paths[4]

#define BMP_N_PATHS                  5 

extern char *bmp_paths[BMP_N_PATHS];

#endif
